import 'package:injectable/injectable.dart';
import 'package:krow/features/profile/wages_forms/domain/entities/edd_form_entity.dart';
import 'package:krow/features/profile/wages_forms/domain/entities/i_nine_entity.dart';
import 'package:krow/features/profile/wages_forms/domain/entities/offer_letter_entity.dart';
import 'package:krow/features/profile/wages_forms/domain/entities/w_four_entity.dart';
import 'package:krow/features/profile/wages_forms/domain/entities/wage_form_entity.dart';

@injectable
class WagesFormApiProvider {
  Future<List<WageFormEntity>> fetchActualForms() async {
    await Future.delayed(const Duration(seconds: 1));

    return [
      const EddFormEntity.empty(),
      const INineEntity.empty(),
      const OfferLetterEntity.empty(),
      const WFourEntity.empty(),
    ];
  }

  Future<void> submitWageForm(WageFormEntity formData) async {
    await Future.delayed(const Duration(seconds: 1));
  }
}